package e

var (
	JWTSecret = []byte("asdfqwer1234")
)

const (
	Success      = 200
	Error        = 500
	ParamsError  = 400
	InvalidToken = 501
)

const (
	DomainAdmin = "blockchain"
	ErpDomain   = "fontree"
)

const (
	InventoryKey = "inventory_auth"
)

const (
	ErrNotLogin = "请先登录"
	ErrOffline  = "您已经下线"
)

const (
	Failed                = 1
	Ok                    = 0
	BindError             = 2
	JsonUnmarshal         = 3
	ErrorHttp             = 5
	ErrorBody             = 6
	NotLogin              = 401
	SUCCESS               = 200
	UpdatePasswordSuccess = 201
	DeleteSuccess         = 204
	NotExistInentifier    = 202
	ERROR                 = 500
	InvalidParams         = 400
	NotLoginSqueeze       = 409
	//成员错误
	ErrorExistNick          = 10001
	ErrorExistUser          = 10002
	ErrorNotExistUser       = 10003
	ErrorNotCompare         = 10004
	ErrorNotComparePassword = 10005
	ErrorFailEncryption     = 10006
	ErrorNotExistProduct    = 10007
	ErrorNotExistAddress    = 10008
	ErrorExistFavorite      = 10009
	ErrorGetUserInfo        = 10010
	ErrorGetDepart          = 10011
	ErrorUpdateAw           = 10012

	//店家错误
	ErrorBossCheckTokenFail        = 20001
	ErrorBossCheckTokenTimeout     = 20002
	ErrorBossToken                 = 20003
	ErrorBoss                      = 20004
	ErrorBossInsufficientAuthority = 20005
	ErrorBossProduct               = 20006

	//管理员错误
	ErrorAuthCheckTokenFail        = 30001 //token 错误
	ErrorAuthCheckTokenTimeout     = 30002 //token 过期
	ErrorAuthToken                 = 30003
	ErrorAuth                      = 30004
	ErrorAuthInsufficientAuthority = 30005
	ErrorReadFile                  = 30006
	ErrorSendEmail                 = 30007
	ErrorCallApi                   = 30008
	ErrorUnmarshalJson             = 30009
	ErrorAdminFindUser             = 30010
	//数据库错误
	ErrorDatabase = 40001

	//对象存储错误
	ErrorOss        = 50001
	ErrorUploadFile = 50002

	//店铺错误
	ErrorExistShopName    = 60001
	ErrorNotExistShopName = 60002
	ErrorNotAdmin         = 60003

	ErrNoDomain      = 70001
	ErrTelNum        = 70002
	ErrNoCode        = 70003
	ErrNoID          = 70004
	ErrNickName      = 70005
	InvalidID        = 70006
	InvalidPas       = 70007
	ErrStatus        = 70008
	ErrNoType        = 70009
	ErrNoUserID      = 70010
	ErrNoName        = 70011
	ErrNoDepCode     = 70012
	ErrNoTitle       = 70013
	ErrNoUrl         = 70014
	ErrNoMethod      = 70015
	ErrNotDep        = 70016
	ErrCreateQr      = 70017
	ErrNotSellerBoss = 70018
	ErrWrongDate     = 70019
	ErrLoginSeller   = 70020

	//上传
	ErrorUploadVideoCover = 80001
	ErrorUploadValidParam = 80002
	ErrorFileReadErr      = 80003
	ErrorFileNotExists    = 80004
	ErrorChunkNotGt       = 80005
	ErrorChunk            = 80006
	ErrorUploadBos        = 80007
	ErrorFileCreate       = 80008
	ERROR_UID             = 80009

	//画作
	ErrorAllotUids = 90001
	//
	ErrorExistSecurity         = 90001
	ErrorSecurity              = 90002
	ErrorNoSecurity            = 90003
	ErrorRealName              = 90004
	ErrorCode                  = 90005
	NOTDATA                    = 90006
	ErrorBaiduChainAlreadyDone = 90007
	ErrorBaiduChaining         = 90008
	ErrorBaiduChainError       = 90009
	ERROR_BAIDU_IMAGE          = 90010
	ERROR_BAIDU_FAIL           = 90011
	ERROR_DOWNLOAD_FILE        = 90012
	ERROR_Addr_FILE            = 90013
	ERROR_Amount               = 90014
	ERROR_Create_Block         = 90015
	ERROR_Fee_Deduction        = 90016
	ERROR_Insufficient_Balance = 90017
	ERROR_Text_Irregularity    = 90018
	ERROR_Text_Length          = 90019
	ERROR_NoPermission         = 90020

	//聊天室
	ErrInvalidDataFormat = 80100 //无效的数据格式
	ErrInvalidClientId   = 80101 //无效的客户端id
	ErrRegisterFailed    = 80102 //注册失败
	ErrUnRegistered      = 80103 //未注册
	PermissionDenied     = 80104 //拒绝访问
	ErrChatSendErr       = 80105 //聊天记录发送失败
	ErrTargetOutLine     = 80106 //目标离线
)
const (
	Push      = 1
	Read      = 2
	NotFilled = 3
	Save      = 4
)

var OfflineMap = map[string]string{
	"ErrOfflineZhCN": "您已经下线",
	"ErrOfflineEN":   "You have been offline",
	"ErrOfflineZhTW": "您已經下線",
}
var LoginMap = map[string]string{
	"ErrNotLoginZhCN": "请先登录",
	"ErrNotLoginEN":   "Please login first",
	"ErrNotLoginZhTW": "請先登錄",
}
